#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 29. Introduction to KDE

- Prev

  Phonon-4.12.0

- Next

  Polkit-Qt-0.200.0

- Up
- Home

# Phonon-backend-vlc-0.12.0

## Introduction to the Phonon-backend-vlc

This package provides a Phonon backend which utilizes the VLC media framework.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/phonon/phonon-backend-vlc/0.12.0/phonon-backend-vlc-0.12.0.tar.xz

- Download MD5 sum: 2a27b5d249f97a15040481008fb16e1b

- Download size: 72 KB

- Estimated disk space required: 6.6 MB

- Estimated build time: 0.2 SBU

### Phonon-backend-vlc Dependencies

#### Required

phonon-4.12.0 and VLC-3.0.21 (gui is not needed)

## Installation of Phonon-backend-vlc

Install Phonon-backend-vlc by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -D PHONON_BUILD_QT5=OFF      \
          .. &&
    make

Now, as the `root` user:

    make install

## Command Explanations

`-D CMAKE_BUILD_TYPE=Release`: This switch is used to apply higher level of compiler optimizations.

## Contents

Installed Program: none
Installed Libraries: phonon_vlc_qt6.so
Installed Directory: /usr/lib/plugins/phonon4qt6_backend

- Prev

  Phonon-4.12.0

- Next

  Polkit-Qt-0.200.0

- Up
- Home